## naev-0.13.3-2.src.tar.gz

=== utils/lanes-generator/requirements.txt ===
Cython>=0.29.23
numpy>=1.21.0
scipy>=1.7.0
scikit-sparse>=0.4.5
matplotlib>=3.4.2

=== utils/openal_preset_efx/Makefile ===

reverb_preset.lua: main
	echo "local efx_preset = {}" > $@
	./main >> $@
	echo "return efx_preset" >> $@

main: main.c print.c
	$(CC) -lm `pkg-config openal --cflags` -W -Wall -o $@ $<

main.c: preset-list make_prog.py
	python3 make_prog.py

preset-list: /usr/include/AL/efx-presets.h
	grep EFX_REVERB_PRESET_ /usr/include/AL/efx-presets.h | sed "s/.*EFX_REVERB_PRESET_\(.*\) ./\1/" > $@

clean:
	$(RM) preset-list main.c main efx_preset.lua

=== subprojects/packagefiles/luajit/meson_options.txt ===
option('amalgam', type: 'boolean', value: false, description: 'Enable amalgamated build')
option('install_cmod', type: 'string')
option('install_lmod', type: 'string')
option('jitdir', type: 'string', description: 'Install directory for the Lua JIT code')
option('luajit', type: 'boolean', value: true, description: 'Build and install the luajit executable')
option('lua52compat', type: 'boolean', value: false, description: 'Enable additional backward incompatible Lua 5.2 features')
option('sysmalloc', type: 'boolean', value: false, description: 'Use the system memory allocator instead of the bundled one')
option('valgrind', type: 'boolean', value: false, description: 'Build for running under Valgrind, implies `sysmalloc`')

=== PKGBUILD ===
# Maintainer: Sven-Hendrik Haase <svenstaro@archlinux.org>
# Contributor: Johan Rehnberg <cleanrock@gmail.com>

pkgname=naev
pkgver=0.13.3
pkgrel=2
pkgdesc='2D action/rpg space game'
arch=('x86_64')
url="https://codeberg.org/naev/naev"
license=('GPL3')
depends=('glu' 'openal' 'libvorbis' 'sdl3' 'libgl' 'libxml2' 'freetype2' 'libpng' 'libzip'
         'luajit' 'glpk' 'physfs' 'libunibreak' 'suitesparse' 'openblas' 'cmark' 'enet'
         'opus' 'dav1d')
makedepends=('freeglut' 'zip' 'meson' 'git' 'python-yaml' 'rust' 'rust-bindgen')
source=("https://codeberg.org/naev/naev/releases/download/v${pkgver}/naev-${pkgver}-source.tar.xz")
sha512sums=('67c9b5674db9d19e4f0d8d26fd81647a2dbdc70e628151738c18e96600be3196d946ad67f65c41f73828f2c0a6b2b9350fb1ad80f3ad4fb749e0a9feeaf099ae')
options=('!lto')

build() {
  cd "$pkgname-$pkgver"

  meson setup --buildtype=release -Dprefix=/usr -Dndata_path=/usr/share/naev/ndata build .
  cd build
  meson compile
}

package() {
  cd "$pkgname-$pkgver/build"

  DESTDIR="$pkgdir" meson install
}
